Subject: Re: bug#66988: 30.0.50; treesit-forward-sexp not working properly in js-ts-mode and tsx-ts-mode

From: Yuan Fu <[email-masked]>
Date: Tue, 14 Nov 2023 22:32:24 -0800

> On Nov 11, 2023, at 2:49 AM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 11/11/2023 04:41, Yuan Fu wrote:
>> I regret not doing this by default for treesit-indent-rules and traverse functions. Now it’s hard to change without creating confusion and breaking backward compatibility. I wonder if there are good way to smoothly transition to match full names by default…
>> Treesit-thing-settings can be changed to match full names, but only if we can change treesit-indent-rules and friends too. Otherwise it would be too confusing.
> 
> It's my understanding that the current implementation, when it doesn't use a full match, is a potential bug in every single instance.

That’s a good point.

> Perhaps you have an example of when partial match is intended and beneficial? If so, we can just go through all other regexps and wrap them in \` and \'. And should.

I don’t, except for a very few cases where I saved typing a few characters.

You have a good point. I think most people instinctively write the full match in their code anyway, so changing to the full match should be fine. We can start from master and see if the world ends or not. 

Yuan